PDA

View Full Version : gedit crashes



JEO
11th March 2010, 07:41 PM
gedit-2.29.7-1.fc13.i686 crashes when opening a file:

gedit out.txt &
gedit: symbol lookup error: gedit: undefined symbol: g_utf8_input_stream_new

Can anyone else confirm?

dd_wizard
11th March 2010, 09:05 PM
Is this after today's update? If it is, it's not just gedit. Try starting Control Center, Mouse, and a lot of others. All of them generate gnome-panel crashes in ABRT. I'm going to try downgrading gnome-panel.

dd_wizard

---------- Post added at 11:55 AM CST ---------- Previous post was at 11:50 AM CST ----------

Hrm, that wants to downgrade more packages than were updated. Guess I'll just undo the last update.

dd_wizard

---------- Post added at 12:05 PM CST ---------- Previous post was at 11:55 AM CST ----------

Oh, and after the update I had to reboot in a terminal window. The shutdown button caused a crash. :confused:

JEO
12th March 2010, 03:24 AM
I tried opening gnome-control-center from a terminal window, seems to work for me. I brought up the mouse panel from there, it opened. I tried the shutdown button, worked.

I only am having problems with gedit, and yes I did update today which pulled in some gnome packages perhaps gedit needs an update to match the others.

Excerpt from yum.log:

Mar 11 07:51:51 Updated: 1:control-center-filesystem-2.29.92-1.fc13.i686
Mar 11 07:51:51 Updated: gnome-python2-desktop-2.29.1-8.fc13.i686
Mar 11 07:51:59 Updated: tzdata-2010e-1.fc13.noarch
Mar 11 07:52:00 Updated: xorg-x11-drivers-7.3-14.fc13.i686
Mar 11 07:52:03 Updated: tzdata-java-2010e-1.fc13.noarch
Mar 11 07:52:09 Updated: system-config-services-0.99.42-1.fc13.noarch
Mar 11 07:52:11 Updated: gnome-backgrounds-2.29.92-1.fc13.noarch
Mar 11 07:52:36 Updated: glibc-common-2.11.90-15.i686
Mar 11 07:52:46 Updated: glibc-2.11.90-15.i686
Mar 11 07:52:48 Updated: glib2-2.23.5-2.fc13.i686
Mar 11 07:52:49 Updated: atk-1.29.92-1.fc13.i686
Mar 11 07:52:52 Updated: gvfs-1.5.5-1.fc13.i686
Mar 11 07:52:53 Updated: samba-winbind-clients-3.5.1-58.fc13.i686
Mar 11 07:52:54 Updated: libXcursor-1.1.10-4.fc13.i686
Mar 11 07:52:58 Updated: gtk2-2.19.7-1.fc13.i686
Mar 11 07:53:01 Updated: gnome-desktop-2.29.92-1.fc13.i686
Mar 11 07:53:02 Updated: libuuid-2.17.1-5.fc13.i686
Mar 11 07:53:06 Updated: libgnomekbd-2.29.92-1.fc13.i686
Mar 11 07:53:09 Updated: at-spi-1.29.92-1.fc13.i686
Mar 11 07:53:11 Updated: libsmbclient-3.5.1-58.fc13.i686
Mar 11 07:53:12 Updated: system-config-printer-libs-1.1.93-6.fc13.i686
Mar 11 07:53:14 Updated: gnome-menus-2.29.92-1.fc13.i686
Mar 11 07:53:21 Updated: gnome-settings-daemon-2.29.92-1.fc13.i686
Mar 11 07:53:21 Updated: libblkid-2.17.1-5.fc13.i686
Mar 11 07:53:25 Updated: util-linux-ng-2.17.1-5.fc13.i686
Mar 11 07:53:25 Updated: openssh-5.4p1-1.fc13.i686
Mar 11 07:53:34 Updated: samba-common-3.5.1-58.fc13.i686
Mar 11 07:53:39 Updated: gutenprint-5.2.5-5.fc13.i686
Mar 11 07:53:39 Updated: gstreamer-tools-0.10.28-1.fc13.i686
Mar 11 07:53:40 Updated: gstreamer-0.10.28-1.fc13.i686
Mar 11 07:53:42 Updated: gstreamer-plugins-base-0.10.28-1.fc13.i686
Mar 11 07:53:47 Updated: gstreamer-plugins-good-0.10.21-1.fc13.i686
Mar 11 07:53:49 Updated: gstreamer-plugins-bad-free-0.10.18-1.fc13.i686
Mar 11 07:53:52 Updated: cheese-libs-2.29.92-1.fc13.i686
Mar 11 07:53:53 Updated: gnome-python2-gnomekeyring-2.29.1-8.fc13.i686
Mar 11 07:53:53 Updated: libarchive-2.8.1-1.fc13.i686
Mar 11 07:53:53 Updated: gvfs-archive-1.5.5-1.fc13.i686
Mar 11 07:53:57 Updated: cheese-2.29.92-1.fc13.i686
Mar 11 07:53:59 Updated: gnome-dvb-daemon-0.1.15-1.fc13.i686
Mar 11 07:54:00 Updated: gutenprint-cups-5.2.5-5.fc13.i686
Mar 11 07:54:07 Updated: samba-client-3.5.1-58.fc13.i686
Mar 11 07:54:08 Updated: openssh-clients-5.4p1-1.fc13.i686
Mar 11 07:54:11 Updated: openssh-server-5.4p1-1.fc13.i686
Mar 11 07:54:12 Updated: openssh-askpass-5.4p1-1.fc13.i686
Mar 11 07:54:12 Updated: system-config-printer-udev-1.1.93-6.fc13.i686
Mar 11 07:54:12 Updated: gvfs-smb-1.5.5-1.fc13.i686
Mar 11 07:54:18 Updated: mousetweaks-2.29.92-1.fc13.i686
Mar 11 07:54:24 Updated: vinagre-2.29.92-1.fc13.i686
Mar 11 07:54:30 Updated: gcalctool-5.29.92-1.fc13.i686
Mar 11 07:54:31 Updated: gtk2-immodule-xim-2.19.7-1.fc13.i686
Mar 11 07:54:31 Updated: gnome-python2-applet-2.29.1-8.fc13.i686
Mar 11 07:54:39 Updated: 1:gnome-games-2.29.92-1.fc13.i686
Mar 11 07:54:40 Updated: kasumi-2.5-3.fc13.i686
Mar 11 07:54:40 Updated: gnome-python2-libwnck-2.29.1-8.fc13.i686
Mar 11 07:54:41 Updated: gvfs-gphoto2-1.5.5-1.fc13.i686
Mar 11 07:54:41 Updated: gvfs-fuse-1.5.5-1.fc13.i686
Mar 11 07:54:41 Updated: gvfs-obexftp-1.5.5-1.fc13.i686
Mar 11 07:54:42 Updated: obexd-0.21-2.fc13.i686
Mar 11 07:54:42 Updated: pam_krb5-2.3.11-1.fc13.i686
Mar 11 07:54:43 Updated: grep-2.5.4-2.fc13.i686
Mar 11 07:54:44 Updated: nscd-2.11.90-15.i686
Mar 11 07:55:02 Updated: gnome-icon-theme-2.29.2-1.fc13.noarch
Mar 11 07:55:11 Updated: gnome-themes-2.29.92-1.fc13.noarch
Mar 11 07:55:13 Updated: system-config-printer-1.1.93-6.fc13.i686
Mar 11 07:55:13 Updated: at-spi-python-1.29.92-1.fc13.i686
Mar 11 07:55:15 Updated: system-config-language-1.3.4-1.fc13.noarch
Mar 11 07:55:15 Updated: nautilus-extensions-2.29.92-1.fc13.i686
Mar 11 07:55:24 Updated: nautilus-2.29.92-1.fc13.i686
Mar 11 07:55:37 Updated: 1:control-center-2.29.92-1.fc13.i686
Mar 11 07:55:43 Updated: gnome-session-2.29.92-1.fc13.i686
Mar 11 07:55:48 Updated: file-roller-2.29.92-1.fc13.i686
Mar 11 07:55:59 Updated: libgweather-2.29.92-1.fc13.i686
Mar 11 07:56:05 Updated: gnome-packagekit-2.29.91-3.fc13.i686
Mar 11 07:56:05 Updated: gnome-session-xsession-2.29.92-1.fc13.i686


---------- Post added at 06:24 PM CST ---------- Previous post was at 01:48 PM CST ----------

I just "undid" the yum upgrade using the command:

yum history undo 12

Which I guess just does a yum downgrade on those packages. gedit now works again :)

Here are the downgraded packages:

Mar 11 18:13:11 Installed: gnome-python2-desktop-2.29.1-4.fc13.i686
Mar 11 18:13:11 Installed: 1:control-center-filesystem-2.29.91-1.fc13.i686
Mar 11 18:13:11 Installed: xorg-x11-drivers-7.3-13.fc12.i686
Mar 11 18:13:21 Installed: tzdata-2010c-1.fc13.noarch
Mar 11 18:13:24 Installed: tzdata-java-2010c-1.fc13.noarch
Mar 11 18:13:27 Installed: gnome-backgrounds-2.28.0-2.fc13.noarch
Mar 11 18:13:34 Installed: system-config-services-0.99.41-1.fc13.noarch
Mar 11 18:13:41 Installed: glib2-2.23.4-1.fc13.i686
Mar 11 18:13:43 Installed: atk-1.29.4-2.fc13.i686
Mar 11 18:13:44 Installed: openssh-5.3p1-22.fc13.i686
Mar 11 18:13:45 Installed: gnome-menus-2.29.91-1.fc13.i686
Mar 11 18:13:47 Installed: system-config-printer-libs-1.1.93-2.fc13.i686
Mar 11 18:13:47 Installed: libXcursor-1.1.10-3.fc13.i686
Mar 11 18:13:52 Installed: gtk2-2.19.6-1.fc13.i686
Mar 11 18:13:56 Installed: gnome-desktop-2.29.91-1.fc13.i686
Mar 11 18:14:01 Installed: libgnomekbd-2.29.5-1.fc13.i686
Mar 11 18:14:08 Installed: gnome-settings-daemon-2.29.91.1-2.fc13.i686
Mar 11 18:14:21 Installed: 1:control-center-2.29.91-1.fc13.i686
Mar 11 18:14:26 Installed: gnome-session-2.29.6-1.fc13.i686
Mar 11 18:14:26 Installed: nautilus-extensions-2.29.91-1.fc13.i686
Mar 11 18:14:37 Installed: nautilus-2.29.91-1.fc13.i686
Mar 11 18:14:40 Installed: at-spi-1.29.90-1.fc13.i686
Mar 11 18:14:45 Installed: gutenprint-5.2.5-3.fc13.i686
Mar 11 18:14:46 Installed: gstreamer-tools-0.10.26.4-1.fc13.i686
Mar 11 18:14:47 Installed: gstreamer-0.10.26.4-1.fc13.i686
Mar 11 18:14:49 Installed: gstreamer-plugins-base-0.10.26.4-1.fc13.i686
Mar 11 18:14:53 Installed: gstreamer-plugins-good-0.10.18.4-1.fc13.i686
Mar 11 18:14:57 Installed: cheese-libs-2.29.90-2.fc13.i686
Mar 11 18:14:57 Installed: gnome-python2-gnomekeyring-2.29.1-4.fc13.i686
Mar 11 18:14:59 Installed: cheese-2.29.90-2.fc13.i686
Mar 11 18:15:02 Installed: gstreamer-plugins-bad-free-0.10.17.4-1.fc13.i686
Mar 11 18:15:03 Installed: gutenprint-cups-5.2.5-3.fc13.i686
Mar 11 18:15:10 Installed: file-roller-2.29.91-1.fc13.i686
Mar 11 18:15:18 Installed: gcalctool-5.29.91-1.fc13.i686
Mar 11 18:15:26 Installed: 1:gnome-games-2.29.91-1.fc13.i686
Mar 11 18:15:26 Installed: gnome-python2-libwnck-2.29.1-4.fc13.i686
Mar 11 18:15:35 Installed: gnome-packagekit-2.29.4-0.2.20100211git.fc13.i686
Mar 11 18:15:36 Installed: gtk2-immodule-xim-2.19.6-1.fc13.i686
Mar 11 18:15:36 Installed: openssh-askpass-5.3p1-22.fc13.i686
Mar 11 18:15:36 Installed: gnome-python2-applet-2.29.1-4.fc13.i686
Mar 11 18:15:49 Installed: libgweather-2.29.91-1.fc13.i686
Mar 11 18:15:49 Installed: system-config-printer-udev-1.1.93-2.fc13.i686
Mar 11 18:15:50 Installed: openssh-clients-5.3p1-22.fc13.i686
Mar 11 18:15:51 Installed: openssh-server-5.3p1-22.fc13.i686
Mar 11 18:15:51 Installed: obexd-0.21-1.fc13.i686
Mar 11 18:15:52 Installed: libarchive-2.8.0-1.fc13.i686
Mar 11 18:15:53 Installed: grep-2.5.4-1.fc13.i686
Mar 11 18:15:53 Installed: pam_krb5-2.3.10-1.fc13.i686
Mar 11 18:15:56 Installed: system-config-printer-1.1.93-2.fc13.i686
Mar 11 18:15:56 Installed: at-spi-python-1.29.90-1.fc13.i686
Mar 11 18:15:56 Installed: gnome-session-xsession-2.29.6-1.fc13.i686
Mar 11 18:16:11 Installed: gnome-themes-2.29.91-1.fc13.noarch


And here are the packages that it failed to downgrade during the yum undo:

Failed to downgrade: glibc-2.11.90-14.i686
Failed to downgrade: glibc-common-2.11.90-14.i686
Failed to downgrade: gnome-dvb-daemon-0.1.14-4.fc13.i686
Failed to downgrade: gnome-icon-theme-2.29.0-2.fc13.noarch
Failed to downgrade: gvfs-1.5.4-2.fc13.i686
Failed to downgrade: gvfs-archive-1.5.4-2.fc13.i686
Failed to downgrade: gvfs-fuse-1.5.4-2.fc13.i686
Failed to downgrade: gvfs-gphoto2-1.5.4-2.fc13.i686
Failed to downgrade: gvfs-obexftp-1.5.4-2.fc13.i686
Failed to downgrade: gvfs-smb-1.5.4-2.fc13.i686
Failed to downgrade: kasumi-2.5-1.fc12.i686
Failed to downgrade: libblkid-2.17.1-2.fc13.i686
Failed to downgrade: libsmbclient-3.5.0-54rc2.fc13.i686
Failed to downgrade: libuuid-2.17.1-2.fc13.i686
Failed to downgrade: mousetweaks-2.29.91-1.fc13.i686
Failed to downgrade: nscd-2.11.90-14.i686
Failed to downgrade: samba-client-3.5.0-54rc2.fc13.i686
Failed to downgrade: samba-common-3.5.0-54rc2.fc13.i686
Failed to downgrade: samba-winbind-clients-3.5.0-54rc2.fc13.i686
Failed to downgrade: system-config-language-1.3.3-6.fc13.noarch
Failed to downgrade: util-linux-ng-2.17.1-2.fc13.i686
Failed to downgrade: vinagre-2.29.91-1.fc13.i686

CiaW
12th March 2010, 05:18 AM
Gedit has been working fine for me, here's my installed version: gedit-2.29.8-2.fc13.i686
I updated some stuff this morning, but now that I'm thinking about it I didn't reboot after my update I just hibernated. Now I'm afraid to reboot.

JEO
12th March 2010, 08:13 AM
Your version of gedit is newer than mine was. Perhaps it will work. I don't understand why mine was older, unless they just released it. Or did you pull it out of koji?

CSchwangler
12th March 2010, 08:20 AM
I just updated and have the same version as CiaW (gedit.i686 1:2.29.8-2.fc13) and I have no problems when opening files.

JEO
12th March 2010, 08:25 AM
I just looked on koji. That version of gedit was posted around the same time that I did my original update. It hadn't hit the mirrors yet at that time.

AdamW
16th March 2010, 07:56 PM
When you run into a problem like this with an F13 package, please file a -1 vote on it in Bodhi:

http://bodhi.fedoraproject.org/

JEO
16th March 2010, 09:57 PM
Thanks for the info, will do.